{% load i18n admin_static admin_list %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <title>Matricula en línea {{ periodo }} - Universidad de Lambayeque</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{% static 'custom/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <style type="text/css">
        body {
            padding-top: 80px;
            padding-bottom: 40px;

            font-size: 13px;
        }

        .label-AT {
            background-color: #9d261d;
        }

        .label-AM {
            background-color: #7a43b6;
        }

        .label-IA {
            background-color: #46a546;
        }

        .label-IC {
            background-color: #f89406;
        }

        .label-IS {
            background-color: #049cdb;
        }

        .help-block {
            text-align: center;
            color: red;
        }

        .alert {
            color: black;
        }

        .alert2 {
            background: #F5F3B4;
        }

        .well2 {
            background: white;
        }

        table td.colcenter, table th.colcenter {
            text-align: center;
        }

        .horarios {
            font-size: 11px;
            text-indent: 1.5em;
            color: #333333;
            background-color: #f7f7f9;
        }

    </style>
    <link rel="stylesheet" href="{% static 'custom/bootstrap/css/bootstrap-responsive.css' %}"/>

    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-tab.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-modal.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/jquery.validate.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/validCampoDavid.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {


            $('#myModalI').modal({
                keyboard: false,
                //backdrop : false,
                show: true
            });

//            $('#myModalI').on('hidden.bs.modal', function () {
//                $('#myModalI2').modal('show');
//            })
//
//            $('#myModalI2').on('hidden.bs.modal', function () {
//                $('#myModal').modal('show');
//            })
            {#            David#}
            $('#continuar-00').on('click', function (e) {
                e.preventDefault();
                if (!$('#form-datos-alumno').valid()) {
                    return false;
                } else {
                    $('#myTab li:eq(1) a').tab('show');
                }


            });


            $('#continuar-01').on('click', function (e) {
                e.preventDefault();
                var estado = true;

                if (estado) {
                    $('#myTab li:eq(2) a').tab('show');
                }

            });

            $('#continuar-02').on('click', function (e) {
                e.preventDefault();
                $(this).attr('disabled', 'disabled');
            });

            $('#regresar').on('click', function (e) {
                e.preventDefault();
                $('#myTab li:eq(1) a').tab('show');
            });


            vcursos = new Array();
            cursos_ciclo = new Array();

            {% for key,value in cursos_ciclo.items %}
                cursos_ciclo[{{ key }}] = {{ value }};
            {% endfor %}

            var cred_matri = 0;
            var cred_adi = 0;
            var cred_reg = parseInt({{ creditos_regulares }});
            var cred_reg_aux = parseInt({{ creditos_regulares }});
            var cred_reg_especial = parseInt({{ creditos_regulares_especial }});
            var monto_regular = parseFloat({{ categoria.Pago }});
            var monto_adicional = parseFloat(0.00);
            var monto_total = parseFloat(0.00);
            var costo_cred = retornarFloat('{{ costo_cred }}');
// $('.cursos_disponibles').attr('disabled', 'disabled');
            $('.cursos_disponibles').attr('checked', false);
// $('.cursos_disponibles').eq(0).removeAttr("disabled");
            $('.cursos_disponibles').removeAttr("disabled");
            $('#continuar-01').attr('disabled', true);

            var n_cursos = $(".cursos_disponibles").length
            $('#total_pension').html(monto_regular);

            $(".cursos_disponibles").click(function () {
                vcursos = [];
                var cursos = $('input[name="cursos_disponibles"]');
                var index = cursos.index($(this));
                var tr = '#tr_' + $(this).attr('id').split('_')[0];
                var tr1 = '#tr1_' + $(this).attr('id').split('_')[0];
                var span = '#span_' + $(this).attr('id').split('_')[0];
                var icon = '#icon_' + $(this).attr('id').split('_')[0];
                cred_matri = 0;
                cred_adi = 0;
                monto_total = parseFloat(0.00);
                monto_adicional = parseFloat(0.00);
                if ($(this).is(':checked')) {
                    $(tr).attr('class', "success");
                    $(span).attr('class', "label label-success");
                    $(icon).attr('class', "icon-ok icon-white");
//              cursos.eq(index + 1).removeAttr("disabled");

                    $(tr1).show();
                } else {
                    $(tr1).hide();
                    $(tr).attr('class', "error");
                    $(span).attr('class', "label label-important");
                    $(icon).attr('class', "icon-remove icon-white");
//          for (var i=1;i<n_cursos-index;i++)
//          {
//               tr1_1 = '#tr1_' + cursos.eq(index + i).attr('id').split('_')[0];
//               tr_1 = '#tr_' + cursos.eq(index + i).attr('id').split('_')[0];
//               span_1 = '#span_' + cursos.eq(index + i).attr('id').split('_')[0];
//               icon_1 = '#icon_' + cursos.eq(index + i).attr('id').split('_')[0];
//               $(tr1_1).hide();
//               $(tr_1).attr('class',"error");
//               $(span_1).attr('class',"label label-important");
//               $(icon_1).attr('class',"icon-remove icon-white");
//               cursos.eq(index + i).removeAttr("checked");
//               cursos.eq(index + i).attr('disabled', 'disabled');
//          }
                }

                //mostrar cantidad de creditos matriculados
                // cicloespecial = '09'
                especial = true
                $(".cursos_disponibles:checked").each(function () {
                    cred_matri += parseInt($(this).attr('id').split('_')[1]);
                    ciclodelcurso = $(this).attr('id').split('_')[2];
                    vcursos[$(this).attr('id').split('_')[0]] = $(this).attr('id').split('_')[0];
                    if (ciclodelcurso != '09') {
                        especial = false
                    }
                });
                cred_reg = cred_reg_aux
                if (especial !== false) {
                    cred_reg = cred_reg_especial
                }

                if ($(".cursos_disponibles:checked").length > 0) {
                    $('#continuar-01').removeAttr("disabled");
                } else {
                    $('#continuar-01').attr('disabled', true);
                }

                $('#cred_matricular').empty();
                $('#cred_matricular').html(cred_matri);

                $('#total_creditos').empty();
                $('#total_creditos').html(cred_matri);

                //acciones si hay creditos adicionales
                if (cred_matri > cred_reg) {
                    //mostrar creditos adicionales
                    cred_adi = cred_matri - cred_reg;
                    $('#adicional_creditos').empty();
                    $('#adicional_creditos').html(cred_adi);

                    //mostrar creditos regulares
                    $('#cred_regulares').empty();
                    $('#cred_regulares').html(cred_reg);

                    //mostrar monto adicional

                    monto_adicional = (parseFloat(cred_adi) * parseFloat(costo_cred));
                    $('#adicional_pension').empty();
                    $('#adicional_pension').html(monto_adicional);

                    //mostrar monto total
                    monto_total = monto_regular + monto_adicional;
                    $('#total_pension').empty();
                    $('#total_pension').html(monto_total);

                } else {
                    //mostrar creditos adicionales
                    $('#adicional_creditos').empty();
                    $('#adicional_creditos').html('0');
                    //mostrar creditos regulares
                    $('#cred_regulares').empty();
                    $('#cred_regulares').html(cred_matri);

                    //mostrar monto adicional
                    monto_adicional = parseFloat(0.00);
                    $('#adicional_pension').empty();
                    $('#adicional_pension').html(monto_adicional);

                    //mostrar monto total
                    monto_total = monto_regular + monto_adicional;
                    $('#total_pension').empty();
                    $('#total_pension').html(monto_total);
                }

            });

            $('#continuar-02').click(function () {
                if (confirm('Aceptas matricularte en estos cursos?')) {
                    var cursos_elegidos = "";
                    var datos_alumno = "";
                    var mypost = {};
                    for (var vc in vcursos) {
                        cursos_elegidos += vc + '-';
                    }
                    datos_alumno = $('#id_ApellidoPaterno').val() + '/' + $('#id_Nombres').val() + '/'
                        + $('#id_LugarNacimiento').val() + '/' + $('#id_Direccion').val() + '/'
                        + $('#id_Celular').val() + '/' + $('#id_ApellidoMaterno').val() + '/'
                        + $('#id_Nacimiento').val() + '/' + $('#id_NroDocumento').val() + '/'
                        + $('#id_Telefono').val() + '/' + $('#id_Email').val();

                    mypost['vdatosalumno'] = datos_alumno;
                    mypost['vcursos'] = cursos_elegidos;
                    $.ajax({
                        url: "registrar/",
                        type: "POST",
                        data: mypost,
                        success: function (resp) {
                            alert(resp);
                            $('#continuar-02').removeAttr("disabled");
                            $('#myTab li:eq(3) a').tab('show');
                        },
                        error: function (data, status, e) {
                            alert('Error comunicándose con el servicio');
                            $('#continuar-02').removeAttr("disabled");
                        },
                    });
                } else {
                    $('#continuar-02').removeAttr("disabled");
                }


            });

            function retornarFloat(value) {
                var retorno = 0.00;
                value = value.replace(',', '.');
                if (value.trim() === '') {
                    retorno = 0.00;
                } else {
                    retorno = parseFloat(value)
                }
                return retorno;
            }

            function validar_email(valor) {
                // creamos nuestra regla con expresiones regulares.
                var filter = /[\w-\.]{3,}@([\w-]{2,}\.)*([\w-]{2,}\.)[\w-]{2,4}/;
                // utilizamos test para comprobar si el parametro valor cumple la regla
                if (filter.test(valor))
                    return true;
                else
                    return false;
            }

            $('#enviar_ficha').on('click', function (e) {
                e.preventDefault();
                var mail = $('#mail');
                var mail2 = $('#mail2');
                var mypost = {};

                if (mail.val() == '') {
                    alert("Ingrese un email");
                } else if (validar_email(mail.val())) {
                    if (mail2.val() == '') {
                        alert("Ingrese un email");
                    } else if (validar_email(mail2.val())) {
                        if (mail.val() == mail2.val()) {
                            $('#enviar_ficha').attr('disabled', 'disabled');
                            $("#cargando").css("display", "inline");
                            mypost['email'] = mail.val();
                            $.ajax({
                                url: "enviar_ficha/",
                                type: "POST",
                                data: mypost,
                                success: function (resp) {
                                    $("#cargando").css("display", "none");
                                    $('#enviar_ficha').removeAttr("disabled");
                                    alert(resp);
                                    $('#envio_mail_ok').show();
                                },
                                error: function (data, status, e) {
                                    $("#cargando").css("display", "none");
                                    $('#enviar_ficha').removeAttr("disabled");
                                    alert('Error enviando el correo, pero aun puedes descargar tu ficha.');
                                    $('#envio_mail_ok').show();
                                },
                            });
                        } else {
                            alert("Los email no coinciden");
                        }
                    } else {
                        alert("El email no es valido");
                    }
                } else {
                    alert("El email no es valido");
                }
            });

            {#        Inicio David #}
            $('#id_ApellidoPaterno,#id_Nombres,#id_ApellidoMaterno').validCampoFranz(' abcdefghijklmnñopqrstuvwxyzáéiou');
            $('#id_Celular,#id_Telefono,#id_NroDocumento').validCampoFranz('0123456789');


            $('#form-datos-alumno').validate({

                errorElement: 'div',

                errorClass: 'help-block',

                focusInvalid: false,

                rules: {

                    id_ApellidoPaterno: {

                        required: true

                    },
                    id_Nombres: {

                        required: true,

                    },
                    id_LugarNacimiento: {

                        required: true

                    },
                    id_Direccion: {

                        required: true

                    },
                    id_Celular: {

                        required: true,

                    },
                    id_ApellidoMaterno: {

                        required: true

                    },
                    id_Nacimiento: {

                        required: true

                    },
                    id_NroDocumento: {

                        required: true,

                    },
                    id_Email: {

                        required: true,

                    },
                    id_Telefono: {

                        required: true

                    },

                },

                messages: {

                    id_ApellidoPaterno: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Nombres: {

                        required: "Dato obligatorio(*).",

                    },
                    id_LugarNacimiento: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Direccion: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Celular: {

                        required: "Dato obligatorio(*).",

                    },
                    id_ApellidoMaterno: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Nacimiento: {

                        required: "Dato obligatorio(*).",

                    },
                    id_NroDocumento: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Telefono: {

                        required: "Dato obligatorio(*).",

                    },
                    id_Email: {

                        required: "Dato obligatorio(*).",

                    },

                },


                highlight: function (e) {

                    $(e).closest('.form-group').removeClass('has-info').addClass('has-error');

                },


                success: function (e) {

                    $(e).closest('.form-group').removeClass('has-error');//.addClass('has-info');

                    $(e).remove();

                },


                errorPlacement: function (error, element) {

                    if (element.is(':checkbox') || element.is(':radio')) {

                        var controls = element.closest('div[class*="col-"]');

                        if (controls.find(':checkbox,:radio').length > 1) controls.append(error);

                        else error.insertAfter(element.nextAll('.lbl:eq(0)').eq(0));

                    }

                    else if (element.is('.select2')) {

                        error.insertAfter(element.siblings('[class*="select2-container"]:eq(0)'));

                    }

                    else if (element.is('.chosen-select')) {

                        error.insertAfter(element.siblings('[class*="chosen-container"]:eq(0)'));

                    }

                    else error.insertAfter(element.parent());

                },


                submitHandler: function (form) {

                },


                invalidHandler: function (form) {

                }

            });

            {#        Fin David#}


        });
    </script>

</head>

<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container-fluid">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>
            <a class="brand" href="#">
                <img src="{% static 'uploads/icon64x64.png' %}" width="32"/>
                Matrícula en línea UDL {{ periodo }}
            </a>
            <a class="btn btn-primary pull-right" type="button" href="logout/">Salir del sistema</a>
            <div class="nav-collapse collapse">
            </div><!--/.nav-collapse -->
        </div>
    </div>
</div>

<div class="container-fluid">

    <div class="row-fluid">

        <div class="span2">
            <div class="well" style="text-align: center">
                <h4>Bienvenido(a):</h4>
                {% if estudiante.Foto != '' %}
                    <img class="thumbnail" style="display: inline;" src="{% static 'uploads/' %}{{ estudiante.Foto }}"
                         alt="Foto"/>
                {% else %}
                    <img class="thumbnail" style="display: inline;" src="{% static 'uploads/avatar.jpg' %}"
                         alt="Avatar"/>
                {% endif %}
                <div class="info" style="text-align:center;">
                    <div class="label">{{ estudiante.Codigo|escape }}</div>
                    <h4>{{ estudiante.Nombres }}</h4>
                    <h5>{{ estudiante.ApellidoPaterno }} {{ estudiante.ApellidoMaterno }}</h5>
                    <div class="label label-{{ estudiante.Carrera.Codigo }}">{{ estudiante.Carrera }}</div>
                </div>
            </div>
        </div>

        <div class="span10">

            <h3 style="margin-top:0;">Matrícula en línea {{ periodo }}</h3>
            <p>
                <strong>Lea detenidamente la información y las instrucciones que se le presentan a
                    continuación:</strong>
            </p>

            <div class="well well2">
                <ul id="myTab" class="nav nav-tabs">
                    <li class="active"><a href="#pasocero"><strong>PASO 0:</strong> Actualización de datos</a></li>
                    <li class=""><a href="#pasouno"><strong>PASO 1:</strong> Elegir cursos disponibles</a></li>
                    <li class=""><a href="#pasodos"><strong>PASO 2:</strong> Verificar Créditos y Pensión</a></li>
                    <li class=""><a href="#pasotres"><strong>PASO 3:</strong> Imprima su Ficha de matrícula</a></li>
                </ul>

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane fade active in" id="pasocero">
                        <div class="alert alert2">
                            <strong><i class="icon-info-sign"></i> Mensaje:</strong><br>
                            <ul>
                                <li>
                                    <strong>Declaro bajo juramento la autenticidad de los datos consignados en este
                                        formulario, asimismo me comprometo a presentar los documentos originales
                                        probatorios, si así lo estima la Universidad.</strong>
                                </li>
                            </ul>

                        </div>

                        <div class="span11">
                            <form id="form-datos-alumno" method="post">
                                <div class="box box-info">
                                    <div class="box-header with-border">
                                        <h3 class="box-title">Datos del alumno</h3>
                                    </div>
                                    <div class="box-body">
                                        <div id="divMensajeError">
                                            {% if form.errors %}
                                                <div class="alert alert-danger">
                                                    <button type="button" class="close" data-dismiss="alert">&times;
                                                    </button>
                                                    <strong>Por favor verificar:</strong>
                                                    <ul>
                                                        <li>
                                                            Datos faltantes.
                                                        </li>
                                                        <li>
                                                            Formato correcto de fecha de nacimiento o DNI.
                                                        </li>
                                                    </ul>
                                                </div>
                                            {% endif %}
                                        </div>
                                        <div class="row">
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.ApellidoPaterno.id_for_label }}"
                                                           class="span3 control-label">{{ form.ApellidoPaterno.label }}
                                                        :</label>
                                                    <div class="span9 clearfix">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.ApellidoPaterno.id_for_label }}"
                                                               name="{{ form.ApellidoPaterno.id_for_label }}"
                                                               placeholder=""
                                                               value="{{ form.ApellidoPaterno.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.ApellidoMaterno.id_for_label }}"
                                                           class="span3 control-label">{{ form.ApellidoMaterno.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.ApellidoMaterno.id_for_label }}"
                                                               name="{{ form.ApellidoMaterno.id_for_label }}"
                                                               placeholder=""
                                                               value="{{ form.ApellidoMaterno.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Nombres.id_for_label }}"
                                                           class="span3 control-label">{{ form.Nombres.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.Nombres.id_for_label }}"
                                                               name="{{ form.Nombres.id_for_label }}" placeholder=""
                                                               value="{{ form.Nombres.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Nacimiento.id_for_label }}"
                                                           class="span3 control-label">{{ form.Nacimiento.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="date" class="form-control"
                                                               id="{{ form.Nacimiento.id_for_label }}"
                                                               name="{{ form.Nacimiento.id_for_label }}" placeholder=""
                                                               value="{{ form.Nacimiento.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.LugarNacimiento.id_for_label }}"
                                                           class="span3 control-label">{{ form.LugarNacimiento.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.LugarNacimiento.id_for_label }}"
                                                               name="{{ form.LugarNacimiento.id_for_label }}"
                                                               placeholder=""
                                                               value="{{ form.LugarNacimiento.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.NroDocumento.id_for_label }}"
                                                           class="span3 control-label">{{ form.NroDocumento.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.NroDocumento.id_for_label }}"
                                                               name="{{ form.NroDocumento.id_for_label }}"
                                                               placeholder=""
                                                               value="{{ form.NroDocumento.value|default_if_none:"" }}"
                                                               maxlength="8">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Direccion.id_for_label }}"
                                                           class="span3 control-label">{{ form.Direccion.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.Direccion.id_for_label }}"
                                                               name="{{ form.Direccion.id_for_label }}" placeholder=""
                                                               value="{{ form.Direccion.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Telefono.id_for_label }}"
                                                           class="span3 control-label">{{ form.Telefono.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.Telefono.id_for_label }}"
                                                               name="{{ form.Telefono.id_for_label }}" placeholder=""
                                                               value="{{ form.Telefono.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Celular.id_for_label }}"
                                                           class="span3 control-label">{{ form.Celular.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="text" class="form-control"
                                                               id="{{ form.Celular.id_for_label }}"
                                                               name="{{ form.Celular.id_for_label }}" placeholder=""
                                                               value="{{ form.Celular.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="form-group">
                                                    <label for="{{ form.Email.id_for_label }}"
                                                           class="span3 control-label">{{ form.Email.label }}
                                                        :</label>
                                                    <div class="span9">
                                                        <input type="email" class="form-control"
                                                               id="{{ form.Email.id_for_label }}"
                                                               name="{{ form.Email.id_for_label }}" placeholder=""
                                                               value="{{ form.Email.value|default_if_none:"" }}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div><!-- /.box-body -->
                                </div><!-- /.box -->
                            </form>
                            <a id="continuar-00" href="" class="btn btn-large btn-primary pull-right">Continuar
                                con el Paso 1 <i class="icon-white icon-chevron-right"></i></a>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="pasouno">
                        <div class="alert alert-info">
                            <strong><i class="icon-warning-sign"></i> Importante:</strong><br>
                            Este semestre solo puedes matricularte en estos cursos, debes tener en cuenta que el máximo
                            número de créditos a matricularse es <span class="badge badge-important">26</span> y si
                            deseas llevar más de <span class="badge badge-important">{{ creditos_regulares }}</span>
                            créditos el costo por crédito adicional es <span
                                class="badge badge-important">S/. 17.50</span>.
                        </div>

                        <div class="alert alert2">
                            <strong><i class="icon-info-sign"></i> Instrucciones:</strong><br>
                            Para ir al siguiente paso, primero debes <u>marcar las casillas de los cursos</u> en los que
                            deseas matricularte este semestre; una vez seguro de esto deberás presionar el botón
                            <strong>"Continuar"</strong>. Si cometes algún error puedes regresar a este paso.
                        </div>

                        <table class="table table-bordered">
                            <thead>

                            <tr>
                                <th style="text-align:center;"><i class="icon-ok"></i></th>
                                <th>Código</th>
                                <th>Nombre del curso</th>
                                <th class="colcenter">Ciclo</th>
                                <th class="colcenter">Prerequisito</th>
                                <th class="colcenter">Créditos</th>
                                <th class="colcenter">Estado</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for result in results %}
                                <tr id="tr_{{ result.id }}" class='error'>
                                    <td style="text-align:center;" class="span1"><input
                                            id="{{ result.id }}_{{ result.Curso.Creditos }}_{{ result.Curso.Ciclo }}_{{ result.Curso.Codigo }}"
                                            type="checkbox" class="cursos_disponibles" name="cursos_disponibles"
                                            value="{{ result.id }}"/></td>
                                    <td>{{ result.Curso.Codigo }}</td>
                                    <td>{{ result.Curso.Nombre }}{% for horario in result.horario_set.all %}<br/>
                                        <div class="horarios"> {{ horario.Dia }} : {{ horario.HoraInicio }} -
                                        {{ horario.HoraFin }} ({{ horario.Seccion }}) {% endfor %}
                                    <div>
                                    </td>
                                    <td class="colcenter">{{ result.Curso.Ciclo }}º Ciclo</td>
                                    <td>{{ result.Curso.Prerequisito.Nombre }}</td>
                                    <td class="colcenter"><span class="label">{{ result.Curso.Creditos }}</span></td>
                                    <td class="colcenter"><span id='span_{{ result.id }}' class="label label-important"><i
                                            id="icon_{{ result.id }}" class="icon-remove icon-white"></i></span></td>
                                </tr>
                            {% endfor %}
                            </tbody>
                            <footer>
                                <tr>
                                    <th colspan="6" style="text-align:right;"><h4>Actualmente tienes <span
                                            id='cred_matricular' class="badge badge-success">0</span> créditos
                                        seleccionados.</h4></th>
                                </tr>
                            </footer>
                        </table>

                        <p><span class="label label-success"><i class="icon-ok icon-white"></i></span> : Seleccionado
                            para matrícula

                            <span class="label label-important"><i class="icon-remove icon-white"></i></span> : No
                            seleccionado</p>

                        <a id="continuar-01" href="" class="btn btn-large btn-primary pull-right">Continuar con el Paso
                            2 <i class="icon-white icon-chevron-right"></i></a>

                    </div>


                    <div class="tab-pane fade" id="pasodos">
                        <div class="alert alert2">
                            <strong><i class="icon-info-sign"></i> Mensaje:</strong><br>
                            <ul>
                                <li>A continuación presentamos el resumen de <strong>cursos que elegiste</strong> y el
                                    <strong>monto de la pensión que se te asignará este semestre</strong>.
                                </li>
                                <li>Si estas de acuerdo con los datos mostrados presione el botón <strong>"Estoy de
                                    acuerdo"</strong> para culminar su matrícula, de lo contrario puedes volver al paso
                                    1 presionando el botón <strong>"Volver"</strong>.
                                </li>
                            </ul>

                        </div>

                        <div class="span11">

                            <h4>Cursos que elegiste para este semestre:</h4>

                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>Código</th>
                                    <th>Nombre del curso</th>
                                    <th class="colcenter">Ciclo</th>
                                    <th class="colcenter">Prerequisito</th>
                                    <th class="colcenter">Créditos</th>
                                    <th class="colcenter">Estado</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for result in results %}
                                    <tr id="tr1_{{ result.id }}" style="display:none;">
                                        <td>{{ result.Curso.Codigo }}</td>
                                        <td>{{ result.Curso.Nombre }}</td>
                                        <td class="colcenter">{{ result.Curso.Ciclo }}º Ciclo</td>
                                        <td>{{ result.Curso.Prerequisito.Nombre }}</td>
                                        <td class="colcenter"><span class="label">{{ result.Curso.Creditos }}</span>
                                        </td>
                                        <td class="colcenter"><span class="label label-success"><i
                                                class="icon-ok icon-white"></i> Por matricular</span></td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>

                            <h4>Total de creditos registrados para este semestre:</h4>
                            <div class="row-fluid well">
                                <div class="span4" style="text-align:center;"><h5>Créditos Regulares</h5>
                                    <h4 id="cred_regulares">0</h4>
                                </div>
                                <div class="span4" style="text-align:center;"><h5>Créditos Adicionales</h5>
                                    <h4 id='adicional_creditos'>0</h4>
                                </div>
                                <div class="span4" style="text-align:center;"><h5>Total Créditos</h5>
                                    <span class="badge badge-success"><h4 id='total_creditos'>0</h4></span>
                                </div>
                            </div>
                            <h4>Pensión que se te asignará este semestre:</h4>
                            <div class="row-fluid well">
                                <div class="span4" style="text-align:center;"><h5>Pensión Normal</h5>
                                    <h4>S/.{{ categoria.Pago }}</h4>
                                </div>
                                <div class="span4" style="text-align:center;"><h5>Monto Adicional</h5>
                                    <h4>S/.<span id='adicional_pension'>0.00</span></h4>
                                </div>

                                <div class="span4" style="text-align:center;"><h5>Pensión Total</h5>
                                    <span class="badge badge-success"><h4>S/.<span
                                            id='total_pension'>0.00</span></h4></span>
                                </div>
                            </div>

                            <p><a id="continuar-02" href="javascript:void();"
                                  class="btn btn-large btn-primary pull-right">Estoy de acuerdo, matricularme.</a></p>

                            <a id="regresar" href="javascript:void();" class="btn btn-large btn-primary">Volver para
                                seleccionar mis cursos</a>

                        </div>
                    </div>

                    <div class="tab-pane fade" id="pasotres">

                        <div class="alert alert-success">
                            <h3>¡Matrícula exitosa!</h3>
                            <p>La matricula se realizó con exito.</p>
                            <p>Puede descargar su ficha presionando el siguiente botón <i class="icon-arrow-right"></i>
                                <a id="descargar_ficha" class="btn btn-small" href="descargar_ficha/">Descargar
                                    Ficha</a>.</p>
                            <p>Ahora introduzca su <strong>Correo Electrónico (<i class="icon-envelope"></i>)</strong> y
                                le enviaremos una copia digital de su <strong>Ficha de Matrícula</strong></p>
                        </div>

                        <div class="alert alert2">
                            <strong><i class="icon-ok"></i> Instrucciones</strong>
                            <p>Introduzca su correo electrónico y por seguridad digítelo nuevamente para verificar que
                                lo ha escrito correctamente.</p>
                        </div>

                        <form class="form-inline">
                            <input id="mail" type="text" class="input-large" placeholder="Correo electrónico">
                            <input id="mail2" type="text" class="input-large"
                                   placeholder="Repita su correo electrónico">
                            <button id='enviar_ficha' type="button" class="btn btn-success">Enviar Ficha de Matrícula
                            </button>
                            <div id="cargando" style="display:none; color: green;">Cargando...</div>
                            <p>
                            <div id="envio_mail_ok" class="alert alert-success" style="display:none;">
                                <strong><i class="icon-ok"></i> Se le envió la Ficha de Matrícula a su bandeja de
                                    correo.</strong>
                            </div>
                            </p>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

</div> <!-- /container -->

<!-- Modal -->
<div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true"
     data-backdrop="static">
    <div class="modal-header">
        <!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
        <h3 id="myModalLabel">Comunicado</h3>
    </div>
    <div class="modal-body">
        <h2>Matricula en línea {{ periodo }}</h2>
        <p style="margin-top: 5px;text-align:justify;">
            Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
            Mediante este medio usted deberá realizar el proceso de matrícula de cursos en el presente semestre
            académico de acuerdo a las Políticas Institucionales establecidas en el Reglamento
            de Ingreso y Matrícula de estudiantes y la validación de los pagos respectivos, así mismo
            se le comunica que la matrícula en créditos adicionales se realizará automaticamente,
            por tal motivo usted deberá realizar una matrícula responsable.
            <br><br>
            Recuerde que actualmente usted tiene asignado una categoría de pago de pensión regular
            ya sea por acuerdos, convenios o promedio ponderado del semestre anterior, si este semestre
            observa que su pensión regular ha cambiado, puede resolver sus dudas en la Oficina de Tesorería
            de la Universidad.
            <br><br>
            Así mismo se le comunica que el número máximo de créditos a llevar por semestre es de <span
                class="badge badge-important">26</span>,
            y si lleva más de <span class="badge badge-important">{{ creditos_regulares }}</span> créditos regulares de
            acuerdo a su carrera, el valor por crédito adicional tendrá un costo de S./ 17.50.
            <br><br>
            La matrícula se concreta siempre y cuando haya hecho click en el boton estoy de acuerdo del
            paso Nº 02.
        </p>
    </div>
    <div class="modal-footer">
        Presione el botón <strong>"Continuar"</strong> para iniciar la matrícula <i class="icon-arrow-right"></i>
        <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true">CONTINUAR</button>
    </div>
</div>
<!-- Modal Ingles -->
<div id="myModalI" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true"
     data-backdrop="static">
    <div class="modal-header">
        <!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
        <h3 id="myModalLabel">Comunicado</h3>
    </div>
    <div class="modal-body">
        <h2>Matricula en línea {{ periodo }}</h2>
        <p style="margin-top: 5px;text-align:justify;">
            Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
            Mediante este medio usted deberá realizar el proceso de matrícula de cursos en el presente semestre
            académico de acuerdo a las Políticas Institucionales establecidas en el Reglamento
            de Ingreso y Matrícula de estudiantes.<br><br>
            Si no está satisfecho con los cursos sugeridos en la matrícula online,
            puede acercarse usted (o un apoderado) con su coordinador de carrera o Decano para registrarse manualmente.
        </p>
    </div>
    <div class="modal-footer">
        <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true">CONTINUAR</button>
    </div>
</div>
<!-- Modal Ingles 2 -->
<div id="myModalI2" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true" data-backdrop="static">
    <div class="modal-header">
        <!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
        <h3 id="myModalLabel">Comunicado</h3>
    </div>
    <div class="modal-body">
        <h3>Ciclos de Estudio del Idioma Inglés</h3>
        <p style="margin-top: 5px;text-align:justify;">
            <a class="pull-left thumbnail" href="#">
                <img class="media-object" src="{% static 'uploads/ingles1.jpg' %}" alt="Regular" style="width: 500px;">
            </a>
        </p>
    </div>
    <div class="modal-footer">
        <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true">CONTINUAR</button>
    </div>
</div>
</body>
</html>
